insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('water',1.0,1000*356,0.5,'water');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('soil',2.0,200*356,0.01,'soil');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('seed_of_grain',0.001,50*356,0.01,'seed_of_grain');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('grain',0.01,1*356,0.1,'grain');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('energy',0.0000001,30,1.0,'energy');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('seed_of_tree',0.001,50*356,0.01,'seed_of_tree');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('wood',3,100*356,0.2,'wood');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('flour',2,3*356,1.0,'flour');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('bread',2,14,2.0,'bread');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('coin',0.01,500*356,1,'coin');
insert into article (id, volume, shelf_time, value_for_obj_fun, image_id) values ('sheaf',20,3*356,0.8,'sheaf');

insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('sow_corn','creature',0,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('rainfall','field',0,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_up','creature',0,1);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_right','creature',1,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_right_up','creature',1,1);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_left','creature',-1,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_left_up','creature',-1,1);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_down','creature',0,-1);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_right_down','creature',1,-1);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_left_down','creature',-1,-1);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('grain_growth','field',0,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('harvest','creature',0,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('picking_grain','creature',0,0);

insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('sow_corn','seed_of_grain',1,'field','product');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('sow_corn','seed_of_grain',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('sow_corn','energy',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('rainfall','water',1,'field','product');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_up','energy',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_right','energy',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_right_up','energy',2,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_left','energy',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_left_up','energy',2,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_down','energy',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_right_down','energy',2,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('step_left_down','energy',2,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('grain_growth','grain',1,'field','product');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('grain_growth','seed_of_grain',1,'field','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('grain_growth','soil',1,'field','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('grain_growth','water',1,'field','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('harvest','tool',0.001,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('harvest','grain',10,'field','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('harvest','energy',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('harvest','grain',10,'creature','product');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('threshing','grain',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('threshing','tool',0.001,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('threshing','seed_of_grain',15,'creature','product');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('picking_grain','grain',1,'field','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('picking_grain','energy',1,'creature','resource');
insert into ingredient (recipe_id, article_id, article_quant, article_container, article_role) values ('picking_grain','grain',1,'creature','product');

insert into stock (id, capacity) values ('desert_resources',100000);
insert into stock (id, capacity) values ('forest_resources',100000);
insert into stock (id, capacity) values ('market_in_desert',1000);
insert into stock (id, capacity) values ('market_in_wood',1000);
insert into stock (id, capacity) values ('human_initial_stock',100);
insert into stock (id, capacity) values ('dog_initial_stock',100);
insert into stock (id, capacity) values ('jack_backpack',10000);
insert into stock (id, capacity) values ('pluto_backpack',100);
insert into stock (id, capacity) values ('mary_backpack',10000);
insert into stock (id, capacity) values ('adog_backpack',10000);
insert into stock (id, capacity) values ('field_1x0',100000);
insert into stock (id, capacity) values ('field_0x1',100000);

insert into inventory (stock_id, article_id, shelf_time, quant) values ('desert_resources','water',10,10);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('wood_resources','water',100,1000);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('wood_resources','soil',100,1000);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('market_in_desert','soil',100,10);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('market_in_wood','soil',200,100);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('human_initial_stock','energy',1400,1400);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('dog_initial_stock','energy',1400,1400);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('jack_backpack','energy',100,1000);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('pluto_backpack','energy',14,14);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('mary_backpack','energy',100,1000);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('jack_backpack','seed_of_grain',358,20);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('mary_backpack','seed_of_grain',100,10);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('adog_backpack','energy',100,1000);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('field_0x1','soil',100,10);
insert into inventory (stock_id, article_id, shelf_time, quant) values ('field_0x1','seed_of_grain',356,10);

insert into species (id, activities_count, crossover_probability, mutation_probability, crossover_type, initial_stock_id) values ('human',16,0.9,0.9,'one_point','human_initial_stock');
insert into species (id, activities_count, crossover_probability, mutation_probability, crossover_type, initial_stock_id) values ('dog',8,0.8,0.9,'one_point','dog_initial_stock');




insert into zone (id, coordinate_x, coordinate_y, size_x, size_y, image_id) values ('forest',0,0,0,0,'forest');
insert into zone (id, coordinate_x, coordinate_y, size_x, size_y, image_id) values ('desert',0,0,10,10,'desert');

insert into field (resource_id, position_x, position_y) values ('forest_resources',0,0);
insert into field (resource_id, position_x, position_y) values ('desert_resources',8,0);
insert into field (resource_id, position_x, position_y) values ('field_1x0',1,0);
insert into field (resource_id, position_x, position_y) values ('field_0x1',0,1);


insert into phenomenon (zone_id, frequency, definition_id, max_occurrence_at_moment, init_position_x, init_position_y, range)
 values ('desert',3,'rainfall',10,1,2,5);
insert into phenomenon (zone_id, frequency, definition_id, max_occurrence_at_moment, init_position_x, init_position_y, range) values ('forest',14,'rainfall',200,110,10,10);
insert into phenomenon (zone_id, frequency, definition_id, max_occurrence_at_moment, init_position_x, init_position_y, range) values ('forest',1,'grain_growth',20,120,20,10);
insert into phenomenon (zone_id, frequency, definition_id, max_occurrence_at_moment, init_position_x, init_position_y, range) 
values ('desert',3,'grain_growth',9,1,1,2);

insert into livingcondition (zone_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size) 
values ('desert','human', 4,1000,5);
insert into livingcondition (zone_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size)
values ('desert','dog',4,1000,5);
insert into livingcondition (zone_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size) values ('forest','human',100,100,3);
insert into livingcondition (zone_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size) values ('forest','dog',200,100,3);


insert into creature (id, backpack_id, species_id, position_x, position_y, age, image_id) values ('jack','jack_backpack','human',1,1,0,'human');
insert into creature (id, backpack_id, species_id, position_x, position_y, age, image_id) values ('pluto','pluto_backpack','dog',10,10,0,'dog');
insert into creature (id, backpack_id, species_id, position_x, position_y, age, image_id) values ('mary','mary_backpack','human',11,3,0,'human');
insert into creature (id, backpack_id, species_id, position_x, position_y, age, image_id) values ('adog','adog_backpack','dog',0,0,0,'dog');

insert into activity (creature_id, lp, definition_id) values ('jack',1,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',2,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',3,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('jack',4,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',5,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',6,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('jack',7,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',8,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',9,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',10,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',11,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',12,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',13,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',14,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('jack',15,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',16,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('mary',1,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('mary',2,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',3,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',4,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',5,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',6,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',7,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',8,'step_right');
insert into activity (creature_id, lp, definition_id) values ('mary',9,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('mary',10,'step_right');
insert into activity (creature_id, lp, definition_id) values ('mary',11,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('mary',12,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',13,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',14,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',15,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',16,'sow_corn');

insert into activity (creature_id, lp, definition_id) values ('adog',1,'step_up');
insert into activity (creature_id, lp, definition_id) values ('adog',2,'step_right');
insert into activity (creature_id, lp, definition_id) values ('adog',3,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('adog',4,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('adog',5,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('adog',6,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('adog',7,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('adog',8,'sow_corn');

insert into image (id, path) values ('human','./images/human.gif');
insert into image (id, path) values ('dog','./images/dog.gif');
insert into image (id, path) values ('desert','./images/desert.gif');
insert into image (id, path) values ('wood','./images/wood.gif');
insert into image (id, path) values ('water','./images/water.gif');
insert into image (id, path) values ('forest','./images/forest.gif');

insert into image (id, path) values ('soil','./images/soil.gif');
insert into image (id, path) values ('seed_of_grain','./images/seed_of_grain.gif');
insert into image (id, path) values ('grain','./images/grain.gif');
insert into image (id, path) values ('energy','./images/energy.jpg');
insert into image (id, path) values ('seed_of_tree','./images/seed_of_tree.jpg');
insert into image (id, path) values ('flour','./images/flour.jpg');
insert into image (id, path) values ('bread','./images/bread/jpg');
insert into image (id, path) values ('coin','./images/coin.jpg');
insert into image (id, path) values ('sheaf','./images/sheaf.jpg');