#ifndef MARKETMANAGER_H
#define MARKETMANAGER_H
#include "model/market.h"
#include "managertemplate.h"

class MarketManager : public SingletonManagerTemplate<Market, MarketManager, QString>
{
public:

    // Wczytaj z domyślej bazy dancyh informację o polach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    bool save(const Market &market);

    QString getTableName () const { return "market"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }

    const Market * objectAtPosition(int x, int y) const;

};

#endif // MARKETMANAGER_H
