#ifndef SPECIESMANAGER_H
#define SPECIESMANAGER_H

#include "model/species.h"
#include "managertemplate.h"

class SpeciesManager : public SingletonManagerTemplate<Species, SpeciesManager, QString>
{

public:
    // Wczytaj z domyślej bazy dancyh informację o gatunkach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    bool save(const Species &species);

    QString getTableName () const { return "species"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }

};

#endif // SPECIESMANAGER_H
