#ifndef FIELDDIALOG_H
#define FIELDDIALOG_H

#include <QDialog>
#include <QAbstractTableModel>
#include <QVector>
#include "model/field.h"

#include "view/stockinfoview.h"


//class StockTableModel  : public QAbstractTableModel {
//public:
//    StockTableModel (const Stock &initial);
//    int rowCount ( const QModelIndex & parent = QModelIndex() ) const;
//    int columnCount ( const QModelIndex & parent = QModelIndex() ) const;
//    QVariant data ( const QModelIndex & index, int role = Qt::DisplayRole ) const;
//    //QVariant headerData ( int section, Qt::Orientation orientation, int role = Qt::DisplayRole ) const ;
//    bool setData ( const QModelIndex & index, const QVariant & value, int role = Qt::EditRole ) ;
//    Qt::ItemFlags flags ( const QModelIndex & index ) const;
//protected:
//    QVector <QVector <QVariant > > stock;
//};

namespace Ui {
class FieldDialog;
}

class FieldDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit FieldDialog(QWidget *parent = 0);
    ~FieldDialog();
    void accept();
    QString fieldId () const;
    void setField (const Field init);
private:
    Ui::FieldDialog *ui;
    Field field;

    StockInfoView *stockView;
};

#endif // FIELDDIALOG_H
