#include "messenger.h"

Messenger::Messenger(QObject *parent) :QObject(parent)
{
}

void Messenger::creatureBornSignal(QString creatureId)
{
    emit creatureBorn(creatureId);
}

void Messenger::creatureDiedSignal(QString creatureId)
{
    emit creatureDied(creatureId);
}

void Messenger::creatureActivityDoneSignal(QString creatureId, QString activityId)
{
    emit creatureActivityDone(creatureId, activityId);
}

void Messenger::stockChangedSignal(QString stockId)
{
    emit stockChanged(stockId);
}

void Messenger::articleQuantChangeSignal(QString stockId, QString articleId, double delta)
{
    emit articleQuantChange(stockId, articleId, delta);
}
