#include "article.h"

Article::Article(QString articleId, double unitVolume, int shelfTime, double valForObjFun, QString articleImageId)
    : Idable<QString> (articleId)
{
    this->unitVolume = unitVolume;
    this->shelfTime = shelfTime;
    this->valueForObjFunction = valForObjFun;
    this->imageId = articleImageId;
}

double Article::volume(double quant) const
{
    return unitVolume * quant;
}

int Article::getShelfTime() const
{
    return shelfTime;
}

double Article::valueForObjectiveFunction(double quant) const
{
    return valueForObjFunction * quant;
}

QString Article::getImageId() const
{
    return imageId;
}
