#ifndef ARTICLE_H
#define ARTICLE_H

#include <QString>
#include "idable.h"
class Article : public Idable<QString>
{
public:
    Article (QString articleId,
             double unitVolume = 1.0,
             int shelfTime = 356,
             double valForObjFun = 1.0,
             QString articleImageId = QString::null);
    // Pobierz objętość - domyślnie jednostkowa
    double volume (double quant = 1.0) const;
    int getShelfTime() const;
    double valueForObjectiveFunction (double quant = 1.0) const;
    QString getImageId() const;
private:
    int shelfTime;
    double unitVolume;
    double valueForObjFunction;
    QString imageId;
};

#endif // ARTICLE_H
