#ifndef CONTAINER_H
#define CONTAINER_H
#include <QString>
class Container
{
public:
    Container();

    enum Type {
        CREATURE, FIELD, MARKET, __CONTAINER__COUNT
    };

    static Container::Type toType (QString name) {
        if (name.toUpper() == "CREATURE")
            return Container::CREATURE;
        if (name.toUpper() == "FIELD")
            return Container::FIELD;
        if (name.toUpper() == "MARKET")
            return Container::MARKET;
        return Container::__CONTAINER__COUNT;
    }

    static QString toString (Container::Type type) {
        switch (type) {
        case Container::CREATURE: return "creature";
        case  Container::FIELD : return "field";
        case Container::MARKET: return "market";
        default: return "__CONTAINER__COUNT";
        }
    }
};

#endif // CONTAINER_H
