#ifndef MARKET_H
#define MARKET_H

#include <QString>
#include "stock.h"
#include "recipe.h"
#include "species.h"
#include "util/area.h"

class Market : public Idable<QString>
{
public:

    Market(QString marketStockId, int xPos, int yPos, int marketSizeX, int marketSizeY);
    ~Market();

    const QString getStockId() const;
    const Area getArea () const;

private:
    QString stockId;
    Area area;
};

#endif // MARKET_H
