#include "phenomenon.h"

Phenomenon::Phenomenon(QString id,
                       int phenomenonFrequency,
                       const Recipe &phenomenonDefinition,
                       int startPosX,
                       int startPosY,
                       int maxOccurenceAtMoment,
                       int phenomenonRange)
 : Idable<QString> (id),
    frequency(phenomenonFrequency),
    definitionId(phenomenonDefinition.getId()),// Container::FIELD),
    initPositionX(startPosX),
    initPositionY(startPosY),
    maxOccurrenceAtMoment(maxOccurenceAtMoment),
    range(phenomenonRange)
{
}
