#include <assert.h>
#include "zone.h"

Zone::Zone(QString name, QString zoneImageId) : Idable<QString>(name),
    area(0, 0, 100, 100), imageId (zoneImageId)
{
}

Zone::~Zone()
{
    //phenomena.clear();

}

//const Zone::NaturalPhenomena &Zone::getNaturalPhenomena() const
//{
//    return phenomena;
//}

//void Zone::addPhenomenon(const Zone::Phenomenon &phenomenon)
//{
//    phenomena.push_back(phenomenon);
//}

void Zone::addLivingCondition(const Zone::LivingCondition &livingCondition)
{
    livingConditions.push_back(livingCondition);
}

const Zone::LivingConditions &Zone::getLivingConditions() const
{
    return livingConditions;
}

const Area &Zone::getArea() const
{
    return area;
}

void Zone::setArea(const Area &fieldArea)
{
    area = fieldArea;
}

const QString Zone::getImageId() const
{
    return imageId;
}


