#ifndef STOCKINFOVIEW_H
#define STOCKINFOVIEW_H

#include <QWidget>
#include <QTreeWidget>
#include <QLabel>
#include "model/stock.h"

class StockInfoView : public QWidget
{
    Q_OBJECT
public:
    explicit StockInfoView(QWidget *parent = 0);
signals:
    
public slots:
    void displayStockInfo(QString stockId);
    void displayStockInfo(const Stock &stock);
private:
    QTreeWidget *tree;
    QLabel *label;
};

#endif // STOCKINFOVIEW_H
