#ifndef VISUALELEMENT_H
#define VISUALELEMENT_H

#include <QGraphicsItem>
#include <QObject>
class VisualElement : public QGraphicsObject
{
public:
     VisualElement(QString visualElementId,
                           const QColor &color,
                           int zValue, QGraphicsObject *parent = 0);
     ~VisualElement();

     void setElementId (QString id);
     const QString getElementId () const;
protected:

     QColor color;
//     QString elementId;

};

#endif // VISUALELEMENT_H
