#include "articletest.h"

ArticleTest::ArticleTest():
    CppUnit::TestCase()
{
}

void ArticleTest::setUp()
{
}

void ArticleTest::tearDown()
{
}
void ArticleTest::articleTest()
{
    double oneBottleVolume = 0.5;
    int beerShelfTime = 60;
    QString beerName = "kasztelan";
    Article beer (beerName, oneBottleVolume, beerShelfTime);

    CPPUNIT_ASSERT(beer.getId() == beerName);
    // Sprawdź czy dobrze wyliczamy objętość
    CPPUNIT_ASSERT(beer.volume(1) == oneBottleVolume);
    CPPUNIT_ASSERT(beer.volume(2) == 2 * oneBottleVolume);
    // Czy ustawiliśmy czas przydatności
    CPPUNIT_ASSERT(beer.getShelfTime() == beerShelfTime);
    int bottlesCount = 2;
    CPPUNIT_ASSERT_EQUAL_MESSAGE("Objętość różna od iloczynu",
                                 beer.volume(bottlesCount),
                                 oneBottleVolume * bottlesCount);

}
