#ifndef STOCKTEST_H
#define STOCKTEST_H


#include <cppunit/TestCase.h>
#include <cppunit/TestSuite.h>
#include <cppunit/extensions/HelperMacros.h>

#include "src/model/stock.h"

class StockTest : public CppUnit::TestCase
{
    CPPUNIT_TEST_SUITE( StockTest );
    CPPUNIT_TEST( stockTest );
    CPPUNIT_TEST( dayPassedTest );
    CPPUNIT_TEST( fefoTest );
    CPPUNIT_TEST( zeroShelfTimeAffectionTest );
    CPPUNIT_TEST_SUITE_END();

public:
    StockTest();
    void setUp();
    void tearDown();
    void stockTest();
    void copyStockTest();
    void dayPassedTest ();
    void fefoTest();
    void zeroShelfTimeAffectionTest ();
protected:

private:
};

#endif // STOCKTEST_H
