INCLUDEPATH += src/
SOURCES += \
    src/model/stock.cpp \
    src/model/recipe.cpp \
    src/model/article.cpp \
    src/model/creature.cpp \
    src/controller/articlemanager.cpp \
    src/controller/recipeexecutor.cpp \
    src/model/species.cpp \
    src/model/container.cpp \
    src/controller/creaturemanager.cpp \
    src/controller/speciesmanager.cpp \
    src/util/random.cpp \
    src/util/area.cpp \
    src/controller/stockmanager.cpp \
    src/emitters/viewemitter.cpp \
    src/model/zone.cpp \
    src/controller/zonemanager.cpp \
    src/controller/fieldmanager.cpp \
    src/model/field.cpp \
    src/controller/marketmanager.cpp \
    src/model/market.cpp \
    src/controller/imagemanager.cpp \
    src/emitters/messenger.cpp \
    src/controller/parammanager.cpp \
    src/model/phenomenon.cpp \
    src/controller/naturalphenomena.cpp

HEADERS  += \
    src/model/stock.h \
    src/model/recipe.h \
    src/model/article.h \
    src/model/creature.h \
    src/controller/articlemanager.h \
    src/controller/recipeexecutor.h \
    src/controller/managertemplate.h \
    src/model/idable.h \
    src/model/species.h \
    src/model/container.h \
    src/controller/creaturemanager.h \
    src/controller/speciesmanager.h \
    src/util/random.h \
    src/util/area.h \
    src/controller/stockmanager.h \
    src/emitters/viewemitter.h \
    src/model/zone.h \
    src/controller/zonemanager.h \
    src/controller/fieldmanager.h \
    src/model/field.h \
    src/controller/marketmanager.h \
    src/model/market.h \
    src/controller/imagemanager.h \
    src/emitters/messenger.h \
    src/controller/parammanager.h \
    src/model/phenomenon.h \
    src/controller/naturalphenomena.h
