#ifndef ARTICLEMANAGER_H
#define ARTICLEMANAGER_H

#include "model/article.h"
#include "managertemplate.h"

class QImage;

class ArticleManager : public SingletonManagerTemplate<Article, ArticleManager, QString>
{
public:
    // Wczytaj z domyślej bazy dancyh informację o towarach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    bool save(const Article &article);
    QString getTableName () const { return "article"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }
    const QImage *getImage (QString articleId);
};

#endif // ARTICLEMANAGER_H
