#include <assert.h>
#include "field.h"

Field::Field(QString resourcesStockId,
             int xPos,
             int yPos) : Idable<QString>(resourcesStockId),
    resourcesId (resourcesStockId),
    coordinates(xPos, yPos)
{
}

Field::~Field()
{
}

const QString Field::getResourcesId() const
{
    return getId();
}

const Coordinates Field::getCoordinates() const
{
    return coordinates;
}

void Field::setCoordinates(int xPos, int yPos)
{
    coordinates.first = xPos;
    coordinates.second = yPos;
}

