#ifndef FIELD_H
#define FIELD_H

#include <QString>
#include "stock.h"
#include "recipe.h"
#include "species.h"
#include "util/area.h"

class Field : public Idable<QString>
{
public:

    Field(QString resourcesStockId, int xPos, int yPos);
    ~Field();
    const QString getResourcesId() const;
    const Coordinates getCoordinates() const;
    void setCoordinates(int xPos, int yPos);
private:
    QString resourcesId;
    Coordinates coordinates;
};

#endif // FIELD_H
