#include <assert.h>
#include "market.h"

Market::Market(QString marketStockId,
               int xPos,
               int yPos,
               int marketSizeX,
               int marketSizeY
             ) : Idable<QString> (marketStockId),
    area(xPos, yPos, marketSizeX, marketSizeY)
{
}

Market::~Market()
{
}

const QString Market::getStockId() const
{
    return getId();
}

const Area Market::getArea() const
{
    return area;
}


