#ifndef PHENOMENON_H
#define PHENOMENON_H

#include <QString>
#include "idable.h"
#include "recipe.h"

class Phenomenon : public Idable<QString> {
public:
    Phenomenon (QString id, int phenomenonFrequency,
                const Recipe &phenomenonDefinition,
                int startPosX,
                int startPosY,
                int maxOccurenceAtMoment = 1000,
                int phenomenonRange = 1);

    int frequency;
   // Recipe definition;
    QString definitionId;
    int initPositionX;
    int initPositionY;
    int maxOccurrenceAtMoment;
    int range;
};

#endif // PHENOMENON_H
