#ifndef AREA_H
#define AREA_H


#include <list>

class Coordinates : public std::pair<int, int> {
public:
    Coordinates (int x, int y) {
        first = x;
        second = y;
    }
    int x() const;
    int y() const;
};

class Area  {
public:
    //class Coordinates : public std::pair<int, int> {};
    class Size : public std::pair<int, int> {};

    Area ();
    Area (int x, int y, int sizeX, int sizeY);

    int x() const;
    int y() const;
    int width () const;
    int height() const;

    Coordinates coordinates;
    Size size;

    bool contains (const Coordinates &c) const;
};

#endif // AREA_H
