#include "random.h"
#include <stdlib.h>

Random::Random()
{
}

int Random::between(int min, int max, int step)
{
    int intVal = Random::fromRange(min, max) / step;
    return intVal * step;
}

double Random::fromRange(double min, double max)
{
     double zeroOne  = (random() / (double) RAND_MAX);
     double randBetween = min + zeroOne * (max - min);
     return randBetween;
}

bool Random::flipCoin()
{
    return 0.5 < Random::fromRange (0.0, 1.0);
}
