#ifndef ACTIVITIESINFOVIEW_H
#define ACTIVITIESINFOVIEW_H

#include <QWidget>
#include <QTreeWidget>
#include <QLabel>
#include <QGraphicsObject>

#include "visualelement.h"
class ActivitiesInfoView : public QWidget
{
    Q_OBJECT
public:
    explicit ActivitiesInfoView(QWidget *parent = 0);
    
signals:
    
public slots:
    void displayActivitiesInfo(QString creatureId);
private:
    QTreeWidget *tree;
    QLabel *label;
};

class ActivitiesView: public VisualElement
{
public:
    ActivitiesView (QString elementId, const QColor &color, QGraphicsObject *parent = 0);
    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *item, QWidget *widget);

private:
    QPainterPath path;
    int fontSize;
};

#endif // ACTIVITIESINFOVIEW_H
