#include "articlemanagertest.h"

ArticleManagerTest::ArticleManagerTest() : ExampleData()
{

}

void ArticleManagerTest::articleManagerTest()
{
    Article energy ("energy", 0.0001);
    //ArticleManager *articleManager = ArticleManager::getManager();
    articleManager->clear();

    const Article *f = articleManager->find( energy.getId());
    CPPUNIT_ASSERT_EQUAL_MESSAGE ("W zarządcy towarami nie powinno być towarów",
                                  (const Article *) NULL, f);
    articleManager->merge(energy);
    f = articleManager->find( energy.getId());
    CPPUNIT_ASSERT_MESSAGE ("Jeżeli dodaliśmy towar, to powinniśmy go odszukać",
                            f != NULL);
    CPPUNIT_ASSERT_EQUAL_MESSAGE ("Odszukany artykuł powinien być równy temu, który wrzuciliśmy",
                                  energy.getId().toStdString(), f->getId().toStdString());

}
