#ifndef NATURALPHENOMENATEST_H
#define NATURALPHENOMENATEST_H
#include <cppunit/extensions/HelperMacros.h>
#include <QString>
#include "exampledata.h"
#include "naturalphenomena.h"
class NaturalPhenomenaTest : public ExampleData
{
    CPPUNIT_TEST_SUITE( NaturalPhenomenaTest );
    CPPUNIT_TEST( passageOfTimeTest );
    CPPUNIT_TEST( phenomenaOccurrenceTest );
    CPPUNIT_TEST_SUITE_END();
public:
    NaturalPhenomenaTest();
    void passageOfTimeTest();
    void phenomenaOccurrenceTest();
};

#endif // NATURALPHENOMENATEST_H
